/*
 * Part of "LIAB - Linux in a Box"
 * Copyright 2013 Martin von Gagern
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

void fix_input(void);
void restart(void);
int yylex(void);

FILE* yyin;

#define CHK(expression, failcode)  do {     \
   if ((expression) == failcode) {          \
     perror(#expression);                   \
     exit(EXIT_FAILURE);                    \
   }                                        \
   } while (0)
